You are not logged in.

#1 2014-05-19 03:02:10

lboregard
Member
Registered: 2014-05-19
Posts: 13

archzfs vs zfs-git

hello all, newbie here ...

i installed zfs via the demz-repo-core, with a pacman -S archzfs

now we have zfs-git.

so how should i "upgrade" ... do i remove zfs (and the demz-repo-core) then install zfs-git ?

your help is greatly appreciated

Last edited by lboregard (2014-05-19 03:02:30)

Offline

#2 2014-05-19 04:03:16

ukhippo
Member
From: Non-paged pool
Registered: 2014-02-21
Posts: 268

Re: archzfs vs zfs-git

Have you tried doing “pacman -Syu”?
When demizer changed the package to zfs-git, he made an upgrade of archzfs automatically switch to zfs-git. I assume that should still be the case.

Offline

#3 2014-05-19 05:14:20

WonderWoofy
Member
From: Los Gatos, CA
Registered: 2012-05-19
Posts: 8,412

Re: archzfs vs zfs-git

From what I read on aur-general, since the zfs on Linux project has trouble tracking the latest stable kernel with stable zfs releases, he has chosen to use zfs-git for the [core] linux package.  I guess that means that the zfs package should now be used with the [core] linux-lts package.

Offline

#4 2014-05-19 09:47:22

ukhippo
Member
From: Non-paged pool
Registered: 2014-02-21
Posts: 268

Re: archzfs vs zfs-git

WonderWoofy wrote:

..., he has chosen to use zfs-git for the [core] linux package.  I guess that means that the zfs package should now be used with the [core] linux-lts package.

For the [core] linux-lts package the OP would need to switch to “zfs-lts” as the archzfs package now no longer exists.

Offline

#5 2014-05-20 00:03:54

lboregard
Member
Registered: 2014-05-19
Posts: 13

Re: archzfs vs zfs-git

ok, thanks guys. i will pacman -Syu on the weekend, so i have some spare time in the event something breaks ... will report back

Offline

#6 2014-05-31 20:27:26

lboregard
Member
Registered: 2014-05-19
Posts: 13

Re: archzfs vs zfs-git

hello all, im having problems with pacman -Syu ... this is the log

> sudo pacman -Syu
error: demz-repo-core: key "5E1ABF240EE7A126" is unknown
:: Import PGP key 2048R/0EE7A126, "Jesus Alvarez <jeezusjr@gmail.com>", created: 2012-10-24? [Y/n] y
error: demz-repo-core: signature from "Jesus Alvarez <jeezusjr@gmail.com>" is unknown trust
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 demz-repo-core is up to date
error: database 'demz-repo-core' is not valid (invalid or corrupted database (PGP signature))
error: database 'demz-repo-core' is not valid (invalid or corrupted database (PGP signature))

i tried removing demz-repo-core from /etc/pacman.conf, but then i get this

> sudo pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: spl: requires linux=3.14-5
:: zfs: requires linux=3.14-5

Offline

#7 2014-05-31 21:25:33

ukhippo
Member
From: Non-paged pool
Registered: 2014-02-21
Posts: 268

Re: archzfs vs zfs-git

The second error occurs because the “spl” and “zfs” packages are the old ones (so don't support the newer 3.14.4-1 kernel) and pacman can't find newer versions to upgrade to (because you removed the repository).

So, put the demz-repo-core repository back and try using pacman-key to add the key.
See https://wiki.archlinux.org/index.php/Pa … icial_keys and https://wiki.archlinux.org/index.php/Un … -repo-core

Afterwards I also suggest using “pacman -Syyu” to update (note the double “y”, this forces a refresh of all packages)

Offline

#8 2014-06-01 02:26:40

lboregard
Member
Registered: 2014-05-19
Posts: 13

Re: archzfs vs zfs-git

thank you ukhippo, did just what you said .. and it all went fine !

Offline

Board footer

Powered by FluxBB